Package org.spongepowered.asm.mixin.struct

## Class MemberRef.Method

- java.lang.Object
- - org.spongepowered.asm.mixin.struct.MemberRef
  - - org.spongepowered.asm.mixin.struct.MemberRef.Method

- Enclosing class:
    MemberRef

      public static final class MemberRef.Method
      extends MemberRef

  A static reference to a method backed by an invoke instruction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.spongepowered.asm.mixin.struct.MemberRef

      `MemberRef.Field, MemberRef.Handle, MemberRef.Method`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.objectweb.asm.tree.MethodInsnNode` | `insn` | Method invocation instruction

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Method​(org.objectweb.asm.tree.MethodInsnNode insn)` | ctor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDesc()` | Descriptor of this member.
    `java.lang.String` | `getName()` | Name of this member.
    `int` | `getOpcode()` | The opcode of the invocation.
    `java.lang.String` | `getOwner()` | The internal name for the owner of this member.
    `boolean` | `isField()` | Whether this member is a field.
    `void` | `setDesc​(java.lang.String desc)` | Changes the descriptor of this member
    `void` | `setName​(java.lang.String name)` | Rename this member.
    `void` | `setOpcode​(int opcode)` | Set the opcode of the invocation.
    `void` | `setOwner​(java.lang.String owner)` | Changes the owner of this

    - ### Methods inherited from class org.spongepowered.asm.mixin.struct.MemberRef

      `equals, hashCode, ownerIsMixin, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### insn

          public final org.objectweb.asm.tree.MethodInsnNode insn

      Method invocation instruction

  - ### Constructor Detail

    - #### Method

          public Method​(org.objectweb.asm.tree.MethodInsnNode insn)

      ctor
      Parameters:
        `insn` - Method instruction of this member reference

  - ### Method Detail

    - #### isField

          public boolean isField()

      Description copied from class: `MemberRef`
      Whether this member is a field.
      Specified by:
        `isField` in class `MemberRef`
      Returns:
        If this member is a field, else it is a method

    - #### getOpcode

          public int getOpcode()

      Description copied from class: `MemberRef`
      The opcode of the invocation.
      Specified by:
        `getOpcode` in class `MemberRef`
      Returns:
        The opcode of the invocation

    - #### setOpcode

          public void setOpcode​(int opcode)

      Description copied from class: `MemberRef`
      Set the opcode of the invocation.
      Specified by:
        `setOpcode` in class `MemberRef`
      Parameters:
        `opcode` - new opcode

    - #### getOwner

          public java.lang.String getOwner()

      Description copied from class: `MemberRef`
      The internal name for the owner of this member.
      Specified by:
        `getOwner` in class `MemberRef`
      Returns:
        The owners name

    - #### setOwner

          public void setOwner​(java.lang.String owner)

      Description copied from class: `MemberRef`
      Changes the owner of this
      Specified by:
        `setOwner` in class `MemberRef`
      Parameters:
        `owner` - New owner

    - #### getName

          public java.lang.String getName()

      Description copied from class: `MemberRef`
      Name of this member.
      Specified by:
        `getName` in class `MemberRef`
      Returns:
        Name of this member.

    - #### setName

          public void setName​(java.lang.String name)

      Description copied from class: `MemberRef`
      Rename this member.
      Specified by:
        `setName` in class `MemberRef`
      Parameters:
        `name` - New name for this member.

    - #### getDesc

          public java.lang.String getDesc()

      Description copied from class: `MemberRef`
      Descriptor of this member.
      Specified by:
        `getDesc` in class `MemberRef`
      Returns:
        Descriptor of this member

    - #### setDesc

          public void setDesc​(java.lang.String desc)

      Description copied from class: `MemberRef`
      Changes the descriptor of this member
      Specified by:
        `setDesc` in class `MemberRef`
      Parameters:
        `desc` - New descriptor of this member